// test/i18n.test.js
import '@testing-library/jest-dom';
import { fireEvent, render } from '@testing-library/react';
import React from 'react';
import { I18nProvider, useI18n } from '../src';

test('switching languages updates the displayed text', () => {
  const translations = {
    en: { greeting: 'Hello!' },
    es: { greeting: 'Hola!' },
  };

  const TestComponent = () => {
    const { t } = useI18n();

    return <p>{t('greeting')}</p>;
  };

  const { getByText, getByRole } = render(
    <I18nProvider defaultLocale="en" translations={translations}>
      <TestComponent />
    </I18nProvider>
  );

  expect(getByText('Hello!')).toBeInTheDocument();
  fireEvent.click(getByText('Select Language:'));
  fireEvent.click(getByText('es'));

  expect(getByText('Hola!')).toBeInTheDocument();
});
