// example/App.js
import React from 'react';
import { I18nProvider, useI18n } from 'react-i18n-core';
import LanguageSelector from '../src/components/LanguageSelector';

const translations = {
    en: {
        greeting: 'Hello!',
        farewell: 'Goodbye!',
    },
    fr: {
        greeting: 'Bonjour!',
        farewell: 'Au revoir!',
    },
};

const App = () => {
    return (
        <I18nProvider defaultLocale="en" translations={translations}>
            <div>
                <LanguageSelector languages={['en', 'fr']} />
                <GreetingComponent />
            </div>
        </I18nProvider>
    );
};

const GreetingComponent = () => {
    const { t } = useI18n();

    return (
        <div>
            <p>{t('greeting')}</p>
            <p>{t('farewell')}</p>
        </div>
    );
};

export default App;
