// src/components/LanguageSelector.js

import React from 'react';
import { useI18n } from '../index';

const LanguageSelector = ({ languages }) => {
    const { locale, setLocale } = useI18n();

    const handleLanguageChange = newLocale => {
        setLocale(newLocale);
    };

    return (
        <div>
            <p>Select Language:</p>
            <ul>
                {languages.map(lang => (
                    <li key={lang} onClick={() => handleLanguageChange(lang)}>
                        {lang} {lang === locale && '(current)'}
                    </li>
                ))}
            </ul>
        </div>
    );
};

export default LanguageSelector;
