// src/index.js
import React, { createContext, useContext, useState } from 'react';

const I18nContext = createContext();

export const I18nProvider = ({ children, defaultLocale, translations }) => {
  const [locale, setLocale] = useState(defaultLocale);
  const t = key => translations[locale][key] || key;

  return (
    <I18nContext.Provider value={{ locale, setLocale, t }}>
      {children}
    </I18nContext.Provider>
  );
};

export const useI18n = () => useContext(I18nContext);
